#
# spec file for package syslinux
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           syslinux
ExclusiveArch:  %ix86 x86_64
BuildRequires:  libext2fs-devel
BuildRequires:  libpng-devel
BuildRequires:  libuuid-devel
BuildRequires:  nasm
BuildRequires:  netpbm
BuildRequires:  python
BuildRequires:  xz
# lots of assembler here that would need to be changed :(
#!BuildIgnore:	gcc-PIE
Url:            http://www.syslinux.org/wiki/index.php/The_Syslinux_Project
Suggests:       mtools
Summary:        Boot Loader for Linux
License:        GPL-2.0+
Group:          System/Boot
Version:        4.04
Release:        36.17
Source:         https://www.kernel.org/pub/linux/utils/boot/syslinux/%{name}-%{version}.tar.bz2
Source1:        isolinux-config
Source2:        README.gfxboot
Source3:        baselibs.conf
Patch0:         %{name}-%{version}-iso9660.diff
Patch1:         %{name}-%{version}-cwd.diff
Patch2:         %{name}-%{version}-noinitrd.diff
Patch3:         %{name}-%{version}-mboot_bootif.diff
Patch5:         %{name}-%{version}-md5pass.diff
Patch6:         %{name}-%{version}-libext2fs.diff
Patch7:         %{name}-%{version}-gcc47.diff
Patch8:         %{name}-%{version}-isohybrid_efi.diff
Patch9:         %{name}-%{version}-isohybrid_efi_optional.diff
Patch10:        %{name}-%{version}-isohybrid_mbr.diff
Patch11:        %{name}-%{version}-localboot.diff
Patch12:        %{name}-%{version}-geometry.diff
Patch13:        %{name}-%{version}-nostrip.diff
Patch14:        %{name}-%{version}-timeout.diff
Patch15:        %{name}-%{version}-cache_fix.diff
Patch16:        %{name}-%{version}-mtime.diff
Patch17:        %{name}-%{version}-miniacc.diff
Patch18:        %{name}-%{version}-align.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
SYSLINUX is a boot loader for the Linux operating system which operates
off an MS-DOS or Windows FAT file system. It is intended to simplify
first-time installation of Linux and for creation of rescue and other
special purpose boot disks.



Authors:
--------
    H. Peter Anvin <hpa@zytor.com>

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch5 -p1
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p0
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17
%patch18

%build
cp %{SOURCE2} .
make spotless
make

%install
make install-all \
  INSTALLROOT=%{buildroot} BINDIR=%{_bindir} SBINDIR=%{_bindir} \
  LIBDIR=%{_datadir} INCDIR=%{_includedir} MANDIR=%{_mandir}
install -m 755 mtools/syslinux $RPM_BUILD_ROOT/%{_bindir}/syslinux-mtools
install -m 755 linux/syslinux $RPM_BUILD_ROOT/%{_bindir}/syslinux
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_bindir}
rm -rf $RPM_BUILD_ROOT/%{_datadir}/syslinux/com32
rm -rf $RPM_BUILD_ROOT/boot
rm -rf $RPM_BUILD_ROOT/tftpboot

%files
%defattr(-,root,root)
%doc doc/*.txt
%doc README* NEWS
%doc %{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/syslinux

%changelog
* Fri Jun  3 2016 snwint@suse.de
- added aarch64, ppc64le to baselibs.conf (bsc#982948)
* Wed Mar 16 2016 snwint@suse.de
- syslinux-4.04-align.diff: fix section alignment (bsc#948445)
* Tue Feb 16 2016 snwint@suse.de
- create also s390x package (bsc#964471)
* Thu Feb 11 2016 rguenther@suse.com
- syslinux-4.04-miniacc.diff: fixup broken conformance tests
* Fri Sep  4 2015 snwint@suse.de
- drop hard dependency on mtools (bsc#943571)
* Sun Feb 22 2015 meissner@suse.com
- Do not use gcc-PIE here, lots of assembler (cpuid etc.) that
  would be hard to make ready for PIC.
* Wed Feb  4 2015 snwint@suse.de
- syslinux-4.04-mtime.diff: don't use timestamps to create a unique id (bnc #915950)
* Mon Aug 11 2014 snwint@suse.de
- syslinux-4.04-cache_fix.diff: fix memory corruption due to wrong fs cache
  initialisation (bnc #884181)
* Fri Mar 21 2014 snwint@suse.de
- timeout.diff: fix timeout counter to work more accurate (bnc #691211)
* Wed Mar  5 2014 snwint@suse.de
- nostrip.diff: don't strip binaries
* Thu Nov 28 2013 rhafer@suse.com
- geometry.diff: Fix segfault caused by a bug in geometry handling
  (bnc#852856)
* Fri Apr  5 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Mon Mar  4 2013 snwint@suse.de
- localboot.diff: -2 boots next disk (bnc #807157)
* Thu Feb 28 2013 snwint@suse.de
- isohybrid_mbr.diff: write only mbr unless explicitly specified otherwise
* Mon Feb 18 2013 snwint@suse.de
- make uefi image optional
* Tue Feb  5 2013 snwint@suse.de
- fixed BuildRequires
* Mon Feb  4 2013 snwint@suse.de
- update isohybrid and mbr & gpt boot code with versions from syslinux-5.00
- fix gpt code in isohybrid and adjust to create a valid partition table for
  our new media layout
* Thu May 31 2012 snwint@suse.de
- take headers from libext2fs-devel
* Tue May 15 2012 snwint@suse.de
- gcc47 fix: use .init_array section instead of .ctors
* Tue May  8 2012 snwint@suse.de
- fix build with latest kernel headers
* Tue Jul 26 2011 snwint@suse.de
- take isohybrid from 4.05 (bnc #708043)
* Tue Jun 21 2011 snwint@suse.de
- don't use Crypt::PasswdMD5 (bnc #701279, bnc #475370)
* Thu Jun  9 2011 snwint@suse.de
- fix isohybrid option parsing (bnc #697389)
* Wed Apr 20 2011 snwint@suse.de
- adrian: mboot: replicate BOOTIF option for all modules
* Tue Apr 19 2011 snwint@suse.de
- handle case where a separate initrd config line is used instead of an
  initrd= kernel option
* Tue Apr 19 2011 snwint@suse.de
- update to version 4.04
  * PXELINUX: Fix handling of unqualified DNS names.
  * PXELINUX: Fix timer bug when PXELINUX might be unloaded
    (Gene Cumm).
  * core/writedec.inc: Fix duplicate declaration and overflow
    (Gene Cumm).
  * GCC 4.5 fixes.
  * sample directory: Fix Makefile include (Gene Cumm).
  * ver.com: New universal DOS/COMBOOT application to display
    version information (includes DRMK) (Gene Cumm).
  * rosh.c32: updated; Using getopt() for internal commands to aid
    parsing options; Fix bugs in ls; add warm reboot and echo
    (Gene Cumm).
  * com32: fix a file descriptor leak.
  * gfxboot.c32: handle TEXT..ENDTEXT; error out on no LABELs
    found (Sebastian Herbszt).
  * Fix booting on non-partitioned devices.
  * MBR, isohybrid: Workaround for a BIOS issue on Acer
    Travelmate and possibly other machines.
  * COM32: Adding ACPI parsing libary
  * HDT: Release 0.4.1 to support ACPI parsing,
    improved mutli-core/cpu reporting
  * LUA: Updating to 5.1.4-2
  * SYSLINUX: core/diskstart.inc: Reset DS after checksum in case
    it isn't 0 (Gene Cumm).
  * win64: Script update for additional mingw compiler names
    (Gene Cumm).
  * diag: New directory for diagnostic-related tools.  Add a
    handoff MBR/VBR and geometry display images (Gene Cumm).
  * MEMDISK: use "mem=" parameter to mark available memory above
    this point as reserved (core already does alignment) (Gene Cumm).
  * MEMDISK: Additional disk probe checks and debug output
    (Shao Miller, Gene Cumm).
  * gpxe: add gpxelinuxk.0, based off of undionly.kpxe + new
    script (Gene Cumm).
  * isohybrid: install the isohdpfx*.bin/isohdppx*.bin files to
    make isohybrid images in one step with GNU xorriso.
  * PXELINUX: disable a hack that would make localboot work on
    some machines, but break just about as many.  Some machines
    which worked with "localboot 0" in previous versions may
    need "localboot -1" in this one.  If you have a machine
    which requires "localboot -1", a copy of the dmidecode
    or sysdump output would be appreciated.
  * Include a set of diagnostics by Gene Cumm.
  * Fixes for gcc 4.6 and binutils 2.21.51.
  * chain.c32: Allow "uuid" as a synonym to "guid".
  * Handle directory names starting with .. for vfat and
    iso9660.
  * New MENU HIDDENKEY command to provide a one-keystroke way to
    activate a boot option from a hidden menu intro screen.
* Mon Apr 18 2011 snwint@suse.de
- update to version 4.03
  * Major code base changes; all filesystem rewritten in C.
    This work was done primarily by Liu Aleaxander (Yuanhan Liu).
  * Better support for booting from MBRs which don't pass
    handover information.
  * EXTLINUX: Try to be smarter about finding the partition
    offset.
  * chain.c32: support chainloading Dell Real Mode Kernel (Gene
    Cumm).
  * chain.c32: fix booting in CHS mode.
  * Fix the -s option to the syslinux/extlinux installer (Arwin
    Vosselman).
  * isohybrid: fix padding of large images (PJ Pandit).
  * SYSLINUX: correctly handle the case where the -d option is
    specified with a non-absolute path, i.e. "syslinux -d
    syslinux" instead of "syslinux -d /syslinux".
  * ISOLINUX: recognize the directory names /boot/syslinux and
    /syslinux, and the filename syslinux.cfg in addition to the
    isolinux-specific names.  Thus, "syslinux.cfg" is now a
    generic name, whereas "isolinux.cfg" or "extlinux.conf" is
    specific to different derivative.
  * chain.c32: support setting alternate config filename for
    stage2 of GRUB Legacy (Gert Hulselmans).
  * whichsys.c32: execute specific command, based on Syslinux
    bootloader variant (Gert Hulselmans).
  * lua.c32: a lot of new bindings added to the "syslinux"
    namespace: VESA, PCI, DMI, kernel loading (Marcel Ritter).
  * btrfs: print a comprehensive error message if compressed or
    encrypted files are encountered (neither is currently
    supported.)
  * SYSLINUX: mtools installer: honor TMPDIR, error out on disk
    full.
  * Handle fallbacks from EDD to CHS, to deal with systems which
    announce EDD support but don't actually have it.
  * SYSLINUX: the mtools, DOS and win32 installers now use the new
    command line options.
  * PXELINUX: fix the use of IP addresses in TFTP :: or tftp://
    host syntax.
  * SYSLINUX: experimental Win64 installer (syslinux64.exe).
  * ISOLINUX: fix initialization on systems which don't zero
    low memory.
  * SYSLINUX/EXTLINUX: fix handing of disk read retries in
    EDD mode.
  * ISOLINUX: change the initialization sequence to avoid
    problems with certain (old) BIOSes.  Special thanks to
    Helmut Hullen for invaluable debugging support.
  * ifplop.c32: new module which detects if the PLoP Boot Loader
    already has booted a CDROM or USB drive (Gert Hulselmans).
  * Correct a severe memory overwrite bug, triggered primarily
    when selecting a very long command line in the menu system.
  * lua.c32: Lua script interpreter, currently experimental
    (Alexey Zaytsev, Marcel Ritter, Geert Stappers).
  * PXELINUX: new option IPAPPEND 4 to append the system UUID to
    the kernel command line.
  * PXELINUX: display BOOTIF and SYSUUID at startup time, and
    when Ctrl-N is pressed on the command line.
  * EXTLINUX: btrfs and ext4 support.  btrfs support was done by
    Alek Du of Intel.
  * EXTLINUX is no longer a separate derivative; extlinux and
    syslinux both install the same loader (ldlinux.sys); for the
    Linux-based installers the extlinux binary is used for a
    mounted filesystem; the syslinux binary for an unmounted
    filesystem.
  * When loading a new configuration file with the CONFIG
    command, one can now also specify a new current directory
    with an APPEND statement.
  * Full ADV support for Syslinux, to boot-once and MENU SAVE
    works.
  * Full support of GPT-partitioned disks, including disks
    and/or parititions larger than 2 TiB (if supported by BIOS.)
  * The GPT handover protocol adjusted to the current T13
    committee draft; see doc/gpt.txt.
  * HDT: code cleanup, small bugfixes
  * The "linux" syslinux installer (syslinux-nomtools) now has a
    command-line syntax closer to the extlinux installer.  The
    mtools, dos and win32 installers will get this new syntax
    eventually, but it is not implemented yet.
  * chain.c32: support booting GPT partitions by index, GUID, label.
  * chain.c32: support booting the Syslinux partition with "fs".
  * chain.c32: implement gpt.txt hand-over protocol.
  * chain.c32: support for chainloading Grub stage 2.
  * PXELINUX: TFTP URL syntax (tftp://) supported even when not
    running gPXE/gpxelinux.
  * New ls.c32 module to display the contents of the disk from
    the command line, and pwd.c32 to display the current
    directory.
  * rosh.c32 (read only shell) updated and hopefully usable.
  * PXELINUX: Support "localboot -1", just like the other
    derivatives.
  * gfxboot.com removed in favor of gfxboot.c32.
  * New MENU HELP statement to display fullscreen help text as a
    result of a menu selection.
  * memdiskfind utility that can be used with the phram driver
    in the Linux kernel to mount a memdisk.
  * ifcpu.c32: Adding usage when no parameters are given,
    adding PAE support.
  * ifcpu.c32, ifcpu64.c32: handle more than one argument per
    target.
  * isohybrid: C version which does not require Perl.
  * New command MENU IMMEDIATE to permit hotkeys to activate
    immediately without needing Enter.
  * mdiskchk.com supports a --no-sequential (or -n) option to
    suppress the classic all-drive-probing heuristic.  Useful
    on BIOSes who crash/hang when certain drive numbers are
    probed.
  * ElTorito.Sys DOS driver now scans drive numbers upwards
    instead of downwards, in order to avoid a fairly common
    bug on some BIOSes where probing drive 0xFF causes a
    failure.
* Tue Apr 27 2010 snwint@suse.de
- drop obsolete gfxboot.com
* Mon Apr 19 2010 snwint@suse.de
- fix menu label handling
* Fri Apr 16 2010 snwint@suse.de
- gfxboot.c32:
  * support MENU LABEL
  * handle IPAPPEND
  * fix LOCALBOOT (bnc #592779)
  * better error handling
* Thu Apr  8 2010 snwint@suse.de
- update to version 3.86
  * chain.c32: fix chainloading the MBR of a hard disk (broken
    in 3.85).
  * mboot.c32: report the boot loader name in the information
    structure.
  * com32: set argv[0] in a com32 module.
  * core: add a workaround for a bug in Xen HVM older than
    version 3.3: disable halt on those platforms.
  * Fix problems where certain operations in com32 modules would
    cause the core to believe the system was idle.
  * MEMDISK: fix MBR detection when used with a DOSEMU header or
    an offset.
  * MEMDISK: generate the mBFT checksum correctly.
  * gPXELINUX: updated to gPXE 1.0.0.  gPXELINUX can now do NBP
    chainloading, and does not require a second DHCP.
  * vesamenu.c32: unbreak the default "grey hole" background.
  * We no longer have a built-in default of "linux auto".
    Instead, if no DEFAULT or UI statement is found, or the
    configuration file is missing entirely, we drop to the boot:
    prompt with an error message (if NOESCAPE is set, we stop
    with a "boot failed" message; this is also the case for
    PXELINUX if the configuration file is not found.)
  * chain.c32: support chainloading Grub4DOS; patch by Gert
    Hulselmans.
  * New tool: sysdump.c32, can be used to produce system
    information for debugging via tftp or ymodem (serial port).
  * "vga=current" on the Linux command line is now supported.
  * chain.c32: support for Windows Recovery Console, via the
    "cmldr=" option.
  * chain.c32: should now support loading NTLDR from different
    type media than loaded from.
  * chain.c32: support chainloading to a FAT/NTFS partition with
    invalid "hidden sectors" via the "sethidden" option.
  * memdisk: fix the mBFT ACPI table.
  * vesamenu.c32: if the image is smaller than the screen, tile
    it across the whole screen.
  * mkdiskimage: -s option for producing a sparse image.
  * vesamenu.c32: support arbitrary resolution setting (beyond
    BIOS support) on some Intel-based video chipsets.  This code
    is a modified version of the "915resolution" tool by
    Steve Tomljenovic; your mileage might vary.
  * SYSLINUX: make the DOS installer work for MS-DOS 7.x/8.x
    (Win9x/ME) again.
  * HDT: updated to version 0.3.6 (numerous changes.)
  * mboot.c32: now supports video mode setting if requested by
    the image.
  * MEMDISK: Fix floppy images of PC-DOS.
  * MEMDISK: Add support for emulation of CD-ROM images; patch
    by Shao Miller.
  * MEMDISK: Comply with the Win9x "safe hook" standard,
    allowing a protected-mode driver.
  * MEMDISK: New "mBFT" ACPI table, by analogy with the iSCSI
    iBFT table.  This allows detection from a protected-mode
    operating system without EDD support.
  * 32-bit version of the gfxboot loader (gfxboot.c32), so far
    experimental.  This will replace gfxboot.com in the future.
  * vesamenu.c32: new MENU RESOLUTION directive to set a screen
    resolution other than 640x480.
  * chain.c32: add support for loading isolinux.bin.
  * chain.c32: make sure to always return to text mode.
  * eltorito.sys: DOS driver for generic CD-ROMs; by Gary Tong
    and Bart Lagerweij.
* Mon Nov 16 2009 snwint@suse.de
- fix chdir() call
* Thu Oct 29 2009 snwint@suse.de
- add gfxboot.c32
* Mon Oct 19 2009 snwint@suse.de
- get kernel size right
* Mon Oct 19 2009 snwint@suse.de
- set correct timeout value
- localboot should return to text mode
* Thu Oct 15 2009 snwint@suse.de
- update to version 3.83
  * PXELINUX: clear memory before handing over to a chainloaded
    NBP.  This may help avoid a bug in Windows RIS.
  * PXELINUX: fix localboot after NBP chainloading on certain
    BIOSes (including ASUS A8N-E, but possibly others.)
  * chain.c32: support chainloaded bootloaders on ISOLINUX.
  * PXELINUX: allow filenames up to 251 characters.
  * MEMDISK: fix problems booting from USB on Thinkpads, and
    possibly other machines or hardware combinations.
  * HDT: updated to version 0.3.4.
  * MEMDISK: the stack size is now configurable, with the stack=
    option.
  * Simple menu: fix Ctrl-W (word erase) in command-line edit.
  * Simple menu: fix crash on some platforms.
  * PXELINUX: add a tool to override specific DHCP options via
    values hardcoded in the pxelinux.0 file.  These hardcoded
    values can be either "before DHCP" (defaults if DHCP do not
    provide values), or "after DHCP" (overrides DHCP).  The tool
    pxelinux-options can be used to set these options.  This
    feature does not apply to gpxelinux.0; when used with gPXE
    this is better handled by modifying the embedded script.
* Mon Oct  5 2009 snwint@suse.de
- if first memory area is too small, use largest (bnc #469889, bnc #507952)
* Tue Aug 25 2009 snwint@suse.de
- fix argv setup (bnc #530255)
- now accepts two args: bootlogo and a (text)message file
* Fri Aug  7 2009 snwint@suse.de
- replaced gfxboot.com with an enhanced version
* Tue Aug  4 2009 snwint@suse.de
- fix isohybrid -id
* Wed Jun 10 2009 snwint@suse.de
- update to version 3.82
  * Lots of bug fixes.
  * Simple menu: make ONTIMEOUT work with MENU HIDDEN.
  * PXELINUX: handle TFTP servers which have extra NULs at the
    end of an OACK packet.
  * Attempt to halt the processor while idle.  This can cause
    bad reponsiveness when using a serial console especially for
    automated input; if that ends up being a problem, use the
    new "NOHALT 1" configuration command.
  * isohybrid: fix the -partok logic for loading from a partition.
  * isohybrid: add a variety of options, and a help message.
  * isohybrid: fix problem with images over 2 GB in size.
  * ISOLINUX: fix booting in hybrid mode when CBIOS is used.
    This unfortunately means that the isohybrid handoff protocol
    has changed, so the isohybrid utility must version-match
    isolinux.bin.
  * Don't hang trying to boot a "menu quit" label from the CLI.
  * Fix problem with boot-once "sticking" on some BIOSes.
* Wed Apr 22 2009 snwint@suse.de
- gfxboot: usage has changed; see README.gfxboot for details
- update to version 3.75
  * Lots of bug fixes.
  * New UI directive, which allows a more natural way to specify
  a menu system (or not.)  With the UI directive specifying
  the menu system, the DEFAULT directive can be used to select
  the default entry inside the menus.
  * kbdmap.c32: new module to load a new keyboard map
  dynamically.
  * Suppress the Loading ... message if "quiet" is specified on
  the kernel command line.
  * MBR: produce alternate MBR variants which force the drive
  number to hd0 (_f variants), or force the drive number to
  hd0 if the Ctrl key is pressed (_c variants.)  Furthermore,
  add an MBR variant (altmbr*.bin) which ignores the active
  flag and instead boots the partition number specified in the
  byte at offset 439 decimal.
  * Add IPAPPEND strings to com32 modules, especially needed for
  linux.c32.
  * New MENU SAVE directive which saves the latest menu
  selection until the next boot.  Currently only implemented for
  EXTLINUX.
  * gfxboot.com: *experimental* interface module to Steffen
  Winterfeldt's "gfxboot" graphical front end
  (http://gfxboot.sourceforge.net/).  Module by Sebastian Herbszt.
  * config.c32: trivial COM32 module to restart Syslinux with
  another configuration file from the command line (equivalent
  to the CONFIG command in the configuratin file.)
  * Include the pxechain.com module from Jeffery Hutzelman at
  Carnegie Mellon University.  This allows chaining another
  PXE boot program while changing the DHCP packet passed to
  it.
  * ISOLINUX: support generating images which can be either
  a CD-ROM or a hard disk (USB disk, etc.)  See
  doc/isolinux.txt for more information.
  * Tab display of labels, based on a patch from Sebastian
  Herbszt.  Can be disabled with the NOCOMPLETE configuration
  command.
  * Optionally allow initrd to be specified on a separate line
  rather than as part of the "append" line.  This is not
  recommended, but apparently makes life easier for some
  tools.
  * chain.c32: lots of new options added
  * ifcpu64.c32: simple COM32 module to select a 32- or 64-bit
  kernel (and optionally 32-bit kernels with or without PAE.)
  Eventually we want a scripting language for this
  kind of stuff; a Lua module is under development.
  * PXELINUX: Support enhanced capabilities when running on top
  of gPXE (http://www.etherboot.org/).  In particular, support
  URL-style syntax for filenames, and any protocol that gPXE
  supports (except, currently, iSCSI and AoE.)  This feature
  is currently highly experimental.
  * SYSLINUX: VFAT long filename support.
  * Add an experimental MBR for GPT partition tables.
* Tue Nov  4 2008 snwint@suse.de
- gfxboot: increase usable mem size to 8MB
* Fri Oct 17 2008 olh@suse.de
- add ExclusiveArch x86 x86_64
* Thu Oct 16 2008 snwint@suse.de
- minor serial line patch fix (bnc #436034)
* Wed Sep 10 2008 snwint@suse.de
- reworked serial line patch (removed SERIALLINES)
* Thu Sep  4 2008 snwint@suse.de
- added SERIALLINES config option to listen on up to four
  serial lines (fate #301595)
* Mon Apr 28 2008 snwint@suse.de
- give more memory to gfxboot code
* Mon Apr 14 2008 snwint@suse.de
- update to version 3.63
  * Lots of bug fixes.
  * Handle command lines up to 2047 characters, the current
    Linux kernel limit.
  * Support MD5, SHA256 and SHA512 encrypted passwords.
  * MEMDISK: Turn on EDD support by default.
  * Add a new INCLUDE command to the core syslinux parser.
  * It is now supported to load a different configuration file
    with the CONFIG keyword.
  * MENU AUTOBOOT, MENU TABMSG, MENU PASSPROMPT allows
    internationalization of menu messages.
  * New hierarchial submenu support: see MENU BEGIN, MENU END,
    MENU GOTO in doc/menu.txt.
  * MENU QUIT allows creating a menu entry for returning to the
    command line.
  * Simple menu system: new "MENU HIDDEN" option to not display
    the menu unless the user presses a key.
  * Add "menu separator", "menu indent", "menu disabled"
    (see README.menu).
  * SYSLINUX: Support subdirectories.
  * PXELINUX: Press Ctrl-N at the boot prompt to read out the
    network info.
  * PXELINUX: as per RFC 5071, PXELINUX no longer requires the
    use of the magic cookie option (208) for unencapsulated
    options.  Currently it does not require it for
    vendor-encapsulated options (vendor-option-space) either,
    but that MAY be reverted in the future if it causes problems.
  * EXTLINUX: boot-once support (--once, --clear-once, and --reset-adv)
  * Support for "auxilliary data vector", a small amount of
    writable storage.  Currently only supported for EXTLINUX,
    but the infrastructure is there for the other derivatives,
    assuming a suitable storage location can be found.
* Fri Jun 22 2007 snwint@suse.de
- requires mtools (#286216)
* Fri Feb  9 2007 snwint@suse.de
- fixed file list
* Mon Oct  9 2006 snwint@suse.de
- no progress dots when in gfx mode
* Fri Sep 29 2006 snwint@suse.de
- update to version 3.31
  * The simple menu system (menu.c32 and vesamenu.c32) now
    support loading more than one configuration file at a time,
    using MENU INCLUDE or by specifying multiple filenames.
  * The MENU COLOR statement can now control the shadowing mode.
  * libcom32 extended to support graphics mode and graphical console.
  * vesamenu.c32, new graphical version of the Simple
    Menu System, see README.menu.
  * New com32 modules by Erwan Velu do selection based on CPUID
    or PCI devices present.
  * EXTLINUX: New options --install (-i) and --update (-U), to
    make it clear if a boot loader should be installed or
    updated.  For now, defaults to --install for compatibility;
    a future version will require one of these options.
  * New library functions to load and place files in memory.
  * mboot.c32 bug fixes.
  * Remove 8 MB kernel size restriction.
  * PXELINUX: Fail (and eventually reboot) if no configuration
    file was found.
  * COM32 module by Erwan Velu to make decisions based on DMI info.
  * Fix issue where going back and forth between menus a lot
    would cause a hang.
  * ISOLINUX: Fix bug which made "cd boot sectors" not work.
* Fri Aug 25 2006 snwint@suse.de
- needs gcc41-32bit
* Wed Aug 23 2006 snwint@suse.de
- support latest gfxboot
* Tue Aug 15 2006 cthiel@suse.de
- specfile cleanup
- include chain.c32, copybs.com, ethersel.c32, mboot.c32, mbr.bin, menu.c32,
  syslinux.com, mboot.doc README.menu and README.usbkey
* Mon Jun 19 2006 snwint@suse.de
- syslinux did not clear memory between initrds (#184706)
* Thu Apr 27 2006 snwint@suse.de
- ignore drive reset error when booting from local disk (#169014)
* Thu Feb  9 2006 snwint@suse.de
- monitor detection can be skipped (#149578)
* Thu Feb  2 2006 snwint@suse.de
- no aborts while kernel loads in gfx mode (#145748)
* Mon Jan 30 2006 snwint@suse.de
- fixed isolinux-config to work with new perl
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 snwint@suse.de
- cjwatson@ubuntu.com: support big-endian cpio archives (#140119)
- support direct driverupdate loading from CD-ROM (feat #152):
  o initrd loading errors are no longer fatal
  o if initrd name starts with '+' ask for CD change
* Wed Dec 14 2005 snwint@suse.de
- really disable text messages
- cjwatson@ubuntu.com: turn off graphics for localboot
* Fri Dec  2 2005 snwint@suse.de
- make it build on beta
* Wed Nov 30 2005 snwint@suse.de
- update to version 3.11
- gfxboot patch changed significantly - check README.gfxboot
* Thu Oct  6 2005 snwint@suse.de
- add chdir/getcwd functions to gfxboot
* Mon Sep 26 2005 snwint@suse.de
- wrote isolinux-config script
* Fri Sep  9 2005 snwint@suse.de
- press Alt key to optionally skip monitor detection (#115204)
* Wed Apr 27 2005 snwint@suse.de
- fixed to take bios memory size into account (#65458)
* Fri Apr 22 2005 snwint@suse.de
- fixed 16 bit color mode selection (#79312)
* Tue Apr 12 2005 snwint@suse.de
- make it work with gcc4
* Fri Feb  4 2005 snwint@suse.de
- solved memory corruption issue (might have caused #43877)
* Mon Jan 31 2005 snwint@suse.de
- don't read from disk (#47891)
* Fri Jan 28 2005 snwint@suse.de
- updated gfxboot patch
* Mon Jan 24 2005 snwint@suse.de
- added syslinux-nomtools
- removed dependencies from mtools and bootsplash
* Mon Sep 13 2004 snwint@suse.de
- moved syslinux into /usr/bin (#44780)
* Mon Aug 23 2004 snwint@suse.de
- updated to syslinux 2.11
* Thu Apr  8 2004 snwint@suse.de
- make bios mem info available for gfxboot
* Fri Apr  2 2004 snwint@suse.de
- don't reset timeout for 'notice' option
* Fri Apr  2 2004 snwint@suse.de
- reduce max number of boot menu entries (syslinux: 64, isolinux: 32)
  to make room for boot graphics
* Wed Mar 31 2004 snwint@suse.de
- fixed pxelinux (#36625)
* Mon Mar 15 2004 snwint@suse.de
- fixed menu size check (#35508)
- removed vmware from blacklist (#35896)
* Mon Mar  8 2004 ro@suse.de
- fix build on x86_64
* Fri Mar  5 2004 snwint@suse.de
- update to 2.08
* Tue Jan 13 2004 snwint@suse.de
- understand new gfxboot file format
* Tue Dec 16 2003 snwint@suse.de
- boot disk may have a file system that spans several floppies
* Wed Sep 10 2003 snwint@suse.de
- fixed monitor data interpretation bug (#29718)
* Mon Sep  1 2003 snwint@suse.de
- work around bios disk read bug (seen on VIA KT133A)
* Mon Aug 25 2003 snwint@suse.de
- update to 2.06: fix problem that would occationally cause a
  boot failure, depending on the length of the kernel
* Thu Aug 21 2003 ro@suse.de
- make it build on x86_64
* Mon Aug 18 2003 snwint@suse.de
- update to 2.05
* Wed Apr 16 2003 coolo@suse.de
- use BuildRoot
* Tue Mar 11 2003 snwint@suse.de
- wait for 'enter' in text mode interface, too (#25047)
* Sat Mar  8 2003 snwint@suse.de
- handle "boot from hd" errors properly (#24788)
* Thu Mar  6 2003 snwint@suse.de
- preselect 640x480 even if no vbe support at all
* Sat Mar  1 2003 snwint@suse.de
- dynamically change FAT buffer size; this gives more space for
  boot graphics
- really add 640x480 to modelist if no VB extension was found (#24293)
- _copy_ VBE mode list, might get overwritten (#23582)
* Tue Feb 18 2003 snwint@suse.de
- new splash handling: splash files no longer have to be added to
  initrd but are read separately from <resolution>.spl files
* Fri Feb 14 2003 snwint@suse.de
- read device path info
- joined all diffs
* Sun Feb  9 2003 snwint@suse.de
- updated graphics patch
* Wed Feb  5 2003 snwint@suse.de
- make isolinux work around a strange bios bug (#23323)
- fix reading vbe mode list for machines that don't zero
  its memory (#23261)
* Wed Sep  4 2002 snwint@suse.de
- select 8 bit fb modes if 16 bit is not available
* Tue Sep  3 2002 snwint@suse.de
- fixed minor bug detecting available gfx modes
* Tue Sep  3 2002 snwint@suse.de
- fixed Requires
* Wed Jul 17 2002 snwint@suse.de
- adaped graphics patch to handle new graphics file format
* Mon Mar  4 2002 snwint@suse.de
- detect fujitsu siemens notebook lcd
* Mon Mar  4 2002 snwint@suse.de
- allow booting from harddisk
* Sun Mar  3 2002 snwint@suse.de
- initrd may optionally be on a second disk
* Tue Feb 19 2002 snwint@suse.de
- make isolinux work on some more systems
  (they used to break with 'Disk error 00')
* Mon Feb 18 2002 snwint@suse.de
- removed Matrox cards from exception list
- don't put monitor data into kernel cmdline
* Fri Feb  1 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Mon Sep 17 2001 snwint@suse.de
- no fb for Matrox G550 cards (#10749)
* Mon Sep 10 2001 snwint@suse.de
- don't select vmware fb mode, the kernel doesn't like it
* Sun Sep  9 2001 snwint@suse.de
- created single diff file
- support gfxboot-1.4
* Tue Sep  4 2001 snwint@suse.de
- should boot on some more computers
- print warning and hint to use CD2 if we encounter a broken BIOS
* Mon Sep  3 2001 snwint@suse.de
- exclude list for cards where fbdev will not work
- allow longer base directory name for boot image
* Wed Aug 22 2001 snwint@suse.de
- fixed 16 bit fb selection
* Mon Aug 20 2001 snwint@suse.de
- we want 16 bit framebuffer now
* Fri Aug 10 2001 snwint@suse.de
- added 1024x768 support
* Mon Aug  6 2001 snwint@suse.de
- upgraded to new version (1.62)
- fixed isolinux to work with graphics
- fixed minor isolinux bug to make it boot on Toshiba Satellite notebooks
* Mon May 14 2001 snwint@suse.de
- syslinux reports wrong video mode (#8244)
* Wed May  9 2001 snwint@suse.de
- fixed boot problem on d230 (#7958)
- corrected detection of 800x600 frame buffer mode support (#7959)
* Sun May  6 2001 snwint@suse.de
- ask for driver update disk in graphics mode
- F2 - F4 video mode selection in text mode
- make 800x600 default if monitor supports it *or*
  graphics card has >= 4MB memory
* Tue May  1 2001 kukuk@suse.de
- Add libpng to neededforbuild
* Tue May  1 2001 ro@suse.de
- added libnetpbm to neededforbuild
* Mon Apr 30 2001 snwint@suse.de
- made it require gfxboot package
- added netpbm to #neededforbuild
* Mon Apr 30 2001 snwint@suse.de
- new version (1.61): can now boot CDs directly (isolinux)
- graphics support completely reworked
* Tue Apr  3 2001 snwint@suse.de
- completely reworked syslinux patch
- support graphics boot screen
* Sun Jan 14 2001 snwint@suse.de
- new messages for our Driver Update feature
* Wed Jan 10 2001 ro@suse.de
- re-added README.SuSE to diff
* Mon Dec 18 2000 snwint@suse.de
- detect BIOS extended read capability
* Fri Jun  9 2000 snwint@suse.de
- improved ddc parser
- ! kernel cmdline gets quite long already (slightly below 200 chars) !
* Fri Feb 11 2000 snwint@suse.de
- new version (1.48)
- some new features (see README.SuSE)
* Mon Oct 11 1999 snwint@suse.de
- added package (version 1.45)
